Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: hashLists.batchGet
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
HTTP 要求
GET https://safebrowsing.googleapis.com/v5alpha1/hashLists:batchGet
這個網址使用 gRPC 轉碼語法。
查詢參數
| 參數 |
names[] |
string
必填。特定雜湊清單的名稱。清單「可能」是威脅清單,也可能是全域快取。名稱不得重複,否則用戶端會收到錯誤訊息。
|
version[] |
string (bytes format)
用戶端已有的雜湊清單版本。如果這是用戶端第一次擷取雜湊清單,請將這個欄位留空。否則,用戶端應提供先前從伺服器收到的版本。用戶端「不得」操縱這些位元組。 用戶端不必按照對應清單名稱的順序傳送版本。用戶端在要求中傳送的版本數量可能少於或多於名稱數量。不過,用戶端不得傳送對應相同名稱的多個版本,否則會收到錯誤訊息。 歷史記錄:在 API V4 中,這項功能稱為 states;為求清楚,現在已重新命名為 version。 Base64 編碼字串。
|
sizeConstraints |
object (SizeConstraints)
各清單的大小限制。如果省略,則沒有限制。請注意,這裡顯示的是每個清單的大小,而非所有清單的總和。
|
回應主體
包含多個雜湊清單的回應。
如果成功,回應主體會含有以下結構的資料:
| JSON 表示法 |
{
"hashLists": [
{
object (HashList)
}
]
} |
| 欄位 |
hashLists[] |
object (HashList)
雜湊清單的順序與要求中提供的順序相同。
|
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-02-20 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["缺少我需要的資訊","missingTheInformationINeed","thumb-down"],["過於複雜/步驟過多","tooComplicatedTooManySteps","thumb-down"],["過時","outOfDate","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["示例/程式碼問題","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-02-20 (世界標準時間)。"],[],["This document details the `batchGet` method for retrieving multiple hash lists via a `GET` HTTP request to `safebrowsing.googleapis.com/v5alpha1/hashLists:batchGet`. Required parameters include `names[]` for specifying hash lists and `version[]` for indicating existing versions. `desiredHashLength` defines the desired hash prefix length, and `sizeConstraints` limits list sizes. The request body is empty, and the response contains an array `hashLists[]`, ordered as requested.\n"]]